package tree;
public class BinExpr extends Expression {
   public Expression left;          // Child
   public Expression right;         // Child
   public int op;

   public BinExpr(int op, sym.TypeSy symbol, Expression left, Expression right, int position) {
       super(symbol,position);
       this.left = left; this.right = right; this.op=op;
   }
  
    public String toString(int indent) {
        return toString(indent, this, 
                        new Tree[]{left,right}, 
                        new String[]{"type"}, new sym.Symbol[]{type},
                        new String[]{"op"}, new String[]{lexer.Token.token2stringPrint(op)}, 
                        position);
   }

}
