package ast;
public class DECLARATION extends AST {
   public String ident;          // Input Attribute

   public sym.Symbol symbol;      // Synthesized Attribute. 
   public sym.Symbol currentSy;   // Inherited. The current symbol being constructed.
   public sym.Env env;            // Inherited Attribute. The environment.
   public int number;         // Inherited. For assigning numbers to symbols.
   public int level;          // Inherited. The nesting level of a declaration.
   public sym.Label label;        // Synthesized.

   public sym.ProcedureSy currentProc;    // Synthesized. The current procedure.
   public sym.SyTab declsIn;        // Inherited. The symbol table built so far.
   public sym.SyTab declsOut;       // Synthesized. The completed symbol table.
   public int offsetIn;       // Inherited. The offset so far.
   public int offsetOut;      // Synthesized. The total size.
   public int methodOffsetIn; // Inherited. The offset so far.
   public int methodOffsetOut;// Synthesized. The total size.

    public DECLARATION(String ident, int position) {
	super(position);
        this.ident = ident;
    }
}

