package tree;
public class FieldOf extends Designator {
   public sym.FieldSy field;         // Symbol table reference
   public sym.RecordType record;       // Symbol table reference
   public Designator base;           // Child

    public FieldOf(sym.RecordType record, sym.FieldSy field, sym.TypeSy type, Designator base, int position) {
       super(type, position);
       this.field = field; this.base = base; this.record = record;
   }

   public String toString(int indent) {
        return toString(indent, this, 
                        new Tree[]{base}, 
                        new String[]{"record","field","type"}, new sym.Symbol[]{record,field,type},
                        new String[]{}, new String[]{}, 
                        position);
   }
}
